Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039595
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-11-06 16:312018-12-11 20:22
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision5f9ad951760c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039595: Purchase Invoice Line can be edited after the associated landed cost has been processed

DescriptionPurchase Invoice Line can be edited after the associated landed cost has been processed
Steps To ReproduceAs group admin role:
   Create a G/L Item
   Set it as Enable in Financial Invoices and add a Tax Category to it

   Create a Landed Cost Type:
      Landed Cost Distribution Algorithm: Distribution by Amount
      Account: previously created G/L Item

   Create a goods receipt, add a product and complete it
   Launch Costing Background Process and check it finishes successfully
   Create a purchase invoice for same business partner
   Add a financial line to it and select previously created G/L Item
   Complete it

   Create a Landed Cost
   Add a record in Cost tab and select previously created invoice
   Add a record in Receipt tab and select previously created goods receipt

   Return to Purchase Invoice
   Reactivate it

   Return to Landed Cost
   Process it

   Return to Purchase Invoice, leave the Account field empty, set the Financial Invoice Line to N and select a product in product selector
   Complete it
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108026)
AtulOpenbravo (developer)
2018-11-21 09:15
edited on: 2018-11-21 09:18

01. Login as International Group admin role
02. Create a G/L Item, set it as Enable in Financial Invoices and add a Tax Category to it
03. Create a Landed Cost Type:
      Landed Cost Distribution Algorithm: Distribution by Amount
      Account: previously created G/L Item
04. Create a goods receipt, add a product and complete it
05. Launch Costing Background Process and check it finishes successfully
06. Create a purchase invoice for same business partner
07. Add a financial line to it and select previously created G/L Item, complete it
08. Create a Landed Cost
    Add a record in Cost tab and select previously created invoice
    Add a record in Receipt tab and select previously created goods receipt
09. Return to Purchase Invoice, reactivate it.
10. Try to edit line.
11. Realize that message is shown as below:-
   Error
   Saving failed. The invoice line of a re-activated invoice that is linked to a Landed Cost cannot be modified.

Note: Description, Line No, List Price could be edited.

(0108086)
hgbot (developer)
2018-11-23 13:47

Repository: erp/devel/pi
Changeset: 5f9ad951760ca64a5175191b6019ab9da5dc5974
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Nov 20 18:22:31 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/5f9ad951760ca64a5175191b6019ab9da5dc5974 [^]

Fixes Issue 39595: Purchase Invoice Line can be edited after
the associated landed cost has been processed

** Before editing invoice line check whether it is linked
with landed cost - cost tab record.
** Description, Line No, List Price editing is possible.
** Check is done only for Purchase Invoice Lines.
** Earlier check of m_inoutline link is also applicable for
Purchase Invoice line hence it is included in the condition
Issotrx = 'N'.

---
M src-db/database/model/triggers/C_INVOICELINE_TRG.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0108087)
hgbot (developer)
2018-11-23 13:47

Repository: erp/devel/pi
Changeset: 641c5b66d58076f5ee20777f3ed8e54d6b41b785
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Nov 23 11:45:53 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/641c5b66d58076f5ee20777f3ed8e54d6b41b785 [^]

related to issue 39595 code review changes

---
M src-db/database/model/triggers/C_INVOICELINE_TRG.xml
---
(0108088)
Sandrahuguet (developer)
2018-11-23 13:51

Code review + testing OK
(0108496)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test
(0108497)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-11-06 16:31 ngarcia New Issue
2018-11-06 16:31 ngarcia Assigned To => Triage Finance
2018-11-06 16:31 ngarcia Modules => Core
2018-11-06 16:31 ngarcia Triggers an Emergency Pack => No
2018-11-06 16:33 ngarcia Issue Monitored: networkb
2018-11-07 18:04 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2018-11-09 16:31 jfrances Issue Monitored: jfrances
2018-11-20 12:40 AtulOpenbravo Status new => scheduled
2018-11-21 09:15 AtulOpenbravo Note Added: 0108026
2018-11-21 09:18 AtulOpenbravo Note Edited: 0108026 View Revisions
2018-11-23 13:47 hgbot Checkin
2018-11-23 13:47 hgbot Note Added: 0108086
2018-11-23 13:47 hgbot Status scheduled => resolved
2018-11-23 13:47 hgbot Resolution open => fixed
2018-11-23 13:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5f9ad951760ca64a5175191b6019ab9da5dc5974 [^]
2018-11-23 13:47 hgbot Checkin
2018-11-23 13:47 hgbot Note Added: 0108087
2018-11-23 13:51 Sandrahuguet Review Assigned To => Sandrahuguet
2018-11-23 13:51 Sandrahuguet Note Added: 0108088
2018-11-23 13:51 Sandrahuguet Status resolved => closed
2018-11-23 13:51 Sandrahuguet Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108496
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108497


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker